*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

.bungee-regular {
  font-family: "Bungee", sans-serif;
}

.teko-regular {
  font-family: "Teko", sans-serif;
}

body{
    font-family: "Chiron GoRound TC", sans-serif;
    background-color: #f0f0f0;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}


nav {
    background-color: #ddd;
    display: flex; 
    justify-content: space-between;
    align-items: center;
    height: 60px; 
    padding: 0 20px;
    position: sticky;
    top: 0;
    z-index: 1000;
}

nav ul {
    list-style: none;
    display: flex;
    gap: 20px;
}

nav a {
    background-color: #00cc66;
    color: #535353;
    text-decoration: none;
    padding: 10px 20px;
    border-radius: 20px;
}

nav a:hover {
    background-color: #019c4e;
}

#logo{
    font-family: "Bungee", sans-serif;
    color: #66cc33;
    font-size: 40px;
}

#inicio {
    font-family: "Bungee", sans-serif;
    width: 100%;
    height: 500px;
    background: linear-gradient(to right, #f3f3f3, #ffffff);
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 80px;
    position: relative; 
}

.fondo-montanas {   
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    z-index: 0;
}

#inicio h1 {
    color: #66ff00;
    font-size: 60px;
    white-space: nowrap;
}

#inicio p {
    color: #00cc66;
    font-size: 20px;
    letter-spacing: 5px;
}

#inicio div,
.logotipo {
    position: relative;
    width: 500px;
    z-index: 1; 
    margin-right: 200px;
}

main{
    flex: 1;
    width: 80%;
    text-align: center;
    margin: 20px auto;
    padding: 20px;
    background-color: transparent; 
    font-family: "Teko", sans-serif;
    color: #000000;
    font-size: 30px;
}

.titulo-verde{
    color: #5cf80e;
}

.contenedor-grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 20px;
}

.introduccion {
    grid-column: 1 / 3;
}

.contenedor-grid section,
.contenedor-grid article,
.contenedor-grid aside {
    background-color: #ffffff;
    padding: 20px;
    border-radius: 20px;
}

section{
    margin-bottom: 20px;
    width: 80%;
    margin: 20px auto;
    background-color: #40db3b;
    border-radius:10px;
}

article{
    background-color: #40db3b;
    padding: 20px;
    width: 80%;
    margin: 20px auto;
    border-radius:10px;
}

aside{
    background-color: #40db3b;
    padding: 20px;
    width: 80%;
    margin: 20px auto;
}

.spacer {
    height: 1200px;
    padding-top: 50px;
    background-color: #dddddd;
    border-radius: 5%;
}

footer{
    background-color: #40db3b;
    color: rgb(0, 0, 0);
    text-align: center;
    padding: 10px;
    width: 100%;    
    margin: 0;   
}

.introduccion,
#contenido1,
#contenido2,
#contenido3,
aside {
    position: relative;
    overflow: hidden;
}

.fondo-img {
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
    top: 0;
    left: 0;
    z-index: 0;
    opacity: 0;
    transition: 0.3s;
}

.introduccion h2,
#contenido1 h2,
#contenido2 h2,
#contenido3 h2,
aside h2,
.introduccion p,
#contenido1 p,
#contenido2 p,
#contenido3 p,
aside p {
    position: relative;
    z-index: 1;
}

.introduccion:hover p,
#contenido1:hover p,
#contenido2:hover p,
#contenido3:hover p,
aside:hover p {
    color: white;
}

.introduccion:hover .fondo-img,
#contenido1:hover .fondo-img,
#contenido2:hover .fondo-img,
#contenido3:hover .fondo-img,
aside:hover .fondo-img {
    opacity: 1;
}

.overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;

    background: rgba(0,0,0,0.7);
    color: white;

    opacity: 0;
    transition: 0.3s;
    padding: 20px;

    z-index: 0;
}

.overlay h2,
.overlay p {
    color: white;
}
.introduccion:hover .overlay,
#contenido1:hover .overlay,
#contenido2:hover .overlay,
#contenido3:hover .overlay,
aside:hover .overlay {
    opacity: 1;
}